<html>
<head>
<title>OGRE: Ogre::DefaultShadowCameraSetup Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1DefaultShadowCameraSetup.html">DefaultShadowCameraSetup</a></div>
<h1>Ogre::DefaultShadowCameraSetup Class Reference</h1><!-- doxytag: class="Ogre::DefaultShadowCameraSetup" --><!-- doxytag: inherits="Ogre::ShadowCameraSetup" -->Implements default shadow camera setup.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreShadowCameraSetup_8h-source.html">OgreShadowCameraSetup.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::DefaultShadowCameraSetup:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1DefaultShadowCameraSetup-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultShadowCameraSetup.html#33706dc2e3d61f4f0b2419d9cc259c76">DefaultShadowCameraSetup</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Default constructor.  <a href="#33706dc2e3d61f4f0b2419d9cc259c76"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultShadowCameraSetup.html#4663dca3e570aa2e7f0134c9221ad6ea">~DefaultShadowCameraSetup</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Destructor.  <a href="#4663dca3e570aa2e7f0134c9221ad6ea"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultShadowCameraSetup.html#ff9f6fef8bacec6bfa259aced847bc6a">getShadowCamera</a> (const <a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *sm, const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *cam, const <a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *vp, const <a class="el" href="classOgre_1_1Light.html">Light</a> *light, <a class="el" href="classOgre_1_1Camera.html">Camera</a> *texCam) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Default shadow camera setup.  <a href="#ff9f6fef8bacec6bfa259aced847bc6a"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Implements default shadow camera setup. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This implements the default shadow camera setup algorithm. This is what might be referred to as "normal" shadow mapping. </dd></dl>

<p>Definition at line <a class="el" href="OgreShadowCameraSetup_8h-source.html#l00081">81</a> of file <a class="el" href="OgreShadowCameraSetup_8h-source.html">OgreShadowCameraSetup.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="33706dc2e3d61f4f0b2419d9cc259c76"></a><!-- doxytag: member="Ogre::DefaultShadowCameraSetup::DefaultShadowCameraSetup" ref="33706dc2e3d61f4f0b2419d9cc259c76" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::DefaultShadowCameraSetup::DefaultShadowCameraSetup           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Default constructor. 
<p>

</div>
</div><p>
<a class="anchor" name="4663dca3e570aa2e7f0134c9221ad6ea"></a><!-- doxytag: member="Ogre::DefaultShadowCameraSetup::~DefaultShadowCameraSetup" ref="4663dca3e570aa2e7f0134c9221ad6ea" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::DefaultShadowCameraSetup::~DefaultShadowCameraSetup           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Destructor. 
<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="ff9f6fef8bacec6bfa259aced847bc6a"></a><!-- doxytag: member="Ogre::DefaultShadowCameraSetup::getShadowCamera" ref="ff9f6fef8bacec6bfa259aced847bc6a" args="(const SceneManager *sm, const Camera *cam, const Viewport *vp, const Light *light, Camera *texCam) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::DefaultShadowCameraSetup::getShadowCamera           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&nbsp;</td>
          <td class="paramname"> <em>sm</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *&nbsp;</td>
          <td class="paramname"> <em>cam</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *&nbsp;</td>
          <td class="paramname"> <em>vp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Light.html">Light</a> *&nbsp;</td>
          <td class="paramname"> <em>light</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Camera.html">Camera</a> *&nbsp;</td>
          <td class="paramname"> <em>texCam</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Default shadow camera setup. 
<p>

<p>Implements <a class="el" href="classOgre_1_1ShadowCameraSetup.html#672a8fa796007d122d3555b09c611d2e">Ogre::ShadowCameraSetup</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreShadowCameraSetup_8h-source.html">OgreShadowCameraSetup.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:53:34 2008
</p>
</body>
</html>
